/* ------------------------------------------------------------------------
System       : Manx Aztec C65 Version 3.2b
               MS-DOS cross-development environment
Platform     : Apple IIe 128K PRODOS 8
Program      : dline.c
Description  : G2 Library Demo Program
               Lines and Font using
               Double Hi-Res 140 x 192 x 16 color mode.

               Uses Page 2 Double Hi-Res to avoid
               ProDOS Sys Program Load Address at 0x2000

Written by   : Bill Buckels
Date Written : February 2013
Revision     : 1.0 First Release
Licence      : You may use this routine for whatever you wish as long
               as you agree that Bill Buckels has no warranty or
               liability obligations whatsoever from said use.
------------------------------------------------------------------------ */
#include <g3.h>

int dhrbox(x1,y1,x2,y2,drawcolor)
int x1,y1,x2,y2,drawcolor;
{
    d2fbox(x1,y1,x2,y1,drawcolor);
    y1++; y2--;
  	d2vline(x1,y1,y2,drawcolor);
	d2vline(x2,y1,y2,drawcolor);
	y2++;
	d2fbox(x1,y2,x2,y2,drawcolor);

	return 0;
}

main()
{

 int c,d,idx,jdx,y2,x2;

 scr_clear();
 scr_curs(0,0);

 /* set page 2 double hires */
 d2hireson();
 d2fbox(0,0,139,191,0);

 for (idx = 1; idx < 16; idx++) {
	c = (idx * 3);
	x2 = 139-c;
	y2 = 191-c;
	dhrbox(c,c,x2,y2,idx);
 }

 d2font("Press any key...",91,70,15,-1,2,6,'M');
 getch();
 d2fbox(0,0,139,191,0);

 d2hiresoff();
 scr_clear();
 scr_curs(0,0);

 _exit();

}
