/* ------------------------------------------------------------------------
System       : Manx Aztec C65 Version 3.2b
               MS-DOS cross-development environment
Platform     : Apple IIe 128K PRODOS 8
Program      : lolz(C) Copyright Bill Buckels 2013.
               All rights reserved.

Description  : Lots of Laughs
               Apple //e ProDOS 8 LOGR Slideshow Program

Written by   : Bill Buckels
Date Written : March 2013
Revision     : 1.0 First Release
Licence      : You may use this program for whatever you wish as long
               as you agree that Bill Buckels has no warranty or
               liability obligations whatsoever from said use.
------------------------------------------------------------------------ */

#include <g3.h>
#include <stdio.h>
#include <prodir.h>


#include "piclist.inc"


main()
{
   FILE *fp;
   int idx, status,started = 0;
   char picname[66];

   clearkey();
   setcrtmodex(LORES);
   loclear();


 STARTER:;

   status = -1;
   if((fp=fopen("LOLIST","r"))==NULL) {
		/* first time through try to create piclist if it does not exist */
		if (started == 0) {
	       fp = makepiclist();
		}

		if (fp == NULL) goto ENDER;
   }
   started = 1;
   status = 0;

   fgets(picname,66,fp); /* get the first filename */

   while(picname[0]>' ' && picname[0] < '{')
   {
		idx=0;  /* replace carriage return with null */

		while(picname[idx]!=0)
		{

		if(picname[idx]< ' ')picname[idx]= 0;
		else idx++;

		}
		/* load picture - ignore errors */
		slolode(picname);
		poke(36,0); poke(37,0); /* HOME MESSY TEXT CURSOR */

		while (kbhit())clearkey();
        /* advance on timeout or advance on keypress */
	   	if (wait(10,XTIME,YTIME)==27)
			{
			 fclose(fp);
			 goto ENDER;
			}
		fgets(picname,66,fp);
	}
	fclose(fp);
	goto STARTER;

  ENDER:;
  loclear();
  setcrtmodex(TEXTMODE);
  scr_clear();
  scr_curs (0,0);

  if (status != 0) {
		bellerr();
		puts("! Can't open LOLIST!");
		printf("Press Any Key...");
		getch();
		scr_clear();
		scr_curs (0,0);
  }
  _exit(0);
}

