/* ------------------------------------------------------------------------
System       : Manx Aztec C65 Version 3.2b
               MS-DOS cross-development environment
Platform     : Apple IIe 128K PRODOS 8
Program      : dline.c
Description  : G2 Library Demo Program
               Lines and Font using
               Double Hi-Res 140 x 192 x 16 color mode.
Written by   : Bill Buckels
Date Written : January 2013
Revision     : 1.0 First Release
Licence      : You may use this routine for whatever you wish as long
               as you agree that Bill Buckels has no warranty or
               liability obligations whatsoever from said use.
------------------------------------------------------------------------ */
#include <g3.h>

int dhrbox(x1,y1,x2,y2,drawcolor)
int x1,y1,x2,y2,drawcolor;
{
    dhrfbox(x1,y1,x2,y1,drawcolor);
    y1++; y2--;
  	dhrvline(x1,y1,y2,drawcolor);
	dhrvline(x2,y1,y2,drawcolor);
	y2++;
	dhrfbox(x1,y2,x2,y2,drawcolor);

	return 0;
}



int main()
{

 int c,d,idx,jdx,y2,x2;

 scr_clear();
 scr_curs (0, 0);

 /* set double hires */
 dhireson();
 dhrfbox(0,0,139,191,0);

 for (idx = 1; idx < 16; idx++) {
	c = (idx * 3);
	x2 = 139-c;
	y2 = 191-c;
	dhrbox(c,c,x2,y2,idx);
 }

 dhrfont("Press any key...",91,70,15,-1,2,6,'M');
 getch();
 dhrflood(0,0,139,191,16);
 getch();
 dhrfbox(0,0,139,191,0);

 dloresoff();
 scr_clear();
 scr_curs (0, 0);

 exit(0);

}

