
#include <stdio.h>
#include <stdlib.h>


int main()
{
	int color;
	unsigned char nib,big,bit;

    /* produce conversion tables for DLGR color indices */
    puts("/* the following is used to remap\n"
         "double lo res 4 bit colors\n"
         "from bank 0 to bank 1 */\n"
         "unsigned char dloauxcolor[16] = {");

	for (color=0; color< 16; color++) {
        /* right circular shift */
	    nib = (unsigned char )color;
        big = (nib >> 1);
        bit = (nib &1) << 3;
        nib = (big | bit);

        if (color) putchar(',');
	    printf("%d",(int)nib);
	}
    puts("};");

   puts("/* the following is used to remap\n"
         "double lo res 4 bit colors\n"
         "from bank 1 back to bank 0 */\n"
         "unsigned char dlomaincolor[16] = {");

	for (color=0; color< 16; color++) {
        /* left circular shift */
	    nib = (unsigned char )color;
	    big = (nib << 1) &0xF;
	    bit = (nib >> 3) &1;
	    nib = (big | bit);

        if (color) putchar(',');
	    printf("%d",(int)nib);

	}
	puts("};");

    return 0;
}