#include <g3.h>


rainbowfont(str, row, col)
char *str;
int row, col;
{

	int idx, color = 7;
	char foo[2];

	foo[1]=0;

	for (idx=0;str[idx]!=0;idx++) {
	     foo[0] = str[idx];
	     if (foo[0] == 'l' || foo[0] == 'i' || foo[0] ==32)col -=1;
	     dlofont(foo,row,col,color,-1,1);
	     color++;
	     if (color > 15)color = 7;
	     if (foo[0] == 'l' || foo[0] == 'i' || foo[0] ==32)col+=5;
	     else col+=6;
	}


}


/* font layout - each character is 7 pixels wide x 8 pixels high
   DLOGR screen resolution is 80 x 48... which means we can write only
   11 characters across x 6 rows down... this isn't much space
   but enough for a title of some sort... the font routine above
   takes this somewhat further cramming each character together
   into a six pixel cell width, with lowercase L's and I's and such into 5.

   This gives us 13 characters to muck with...


    01234567890123
*/
char *title[] = {
   "Double Lo-Res",
   "Graphics Demo",
   "In Aztec C",
   "by",
   "Bill Buckels",
   "March 2013"};

#define CELL_WIDTH 6
#define CELL_HEIGHT 8
#define SCREEN_WIDTH 80
#define MAX_ROWS 6
dloboxes()
{
	int x1,y1,x2,y2,idx,len,color;


    /* draw a box around the screen */
	dlobox(0,0,79,47,3);

    /* loop for all 6 available lines */

    y1 = 0;
    for (idx = 0; idx < MAX_ROWS; idx++) {
		/* centre title horizontally */
		len = strlen(title[idx]) * CELL_WIDTH;
		x1 = (SCREEN_WIDTH - len) /2;
	    rainbowfont(title[idx],y1,x1);
	    y1+=CELL_HEIGHT;
	}

 	for (;;) {
	   if (kbhit() > 0) {
		  clearkey();
		  break;
	   }
	}
  clear2();
  clear1();


	x1 = 0;
	x2 = 79;
	y1 = 0;
	y2 = 39;

	for (color = 1; color < 16; color++) {
        dlobox(x1,y1,x2,y2, color);
        y1++;
        y2--;
        x1++;
        x2--;

    }

  dloclear_bottom();
  dlomixed();
  dloprint_bottom("How's Your Eyeballs? Tired of looking at a bunch of boxes?",1,0);
  dloprint_bottom("Prolly... So Press any Key to treat them to a bit of a massage.",3,0);

	for (;;) {
	   if (kbhit() > 0) {
		  clearkey();
		  break;
	   }
	}

}


/* rod's color pattern in dlogr */
doublerod ()
{

    int i, j, k, w, fmi, fmk, color, c=0;

	for (w = 3; w < 51; w++) {
		for (i = 1; i < 20; i++) {
			for (j = 0; j < 20; j++) {
				k = i + j;
				color = (j * 3) / (i + 3) + i * w / 12;
				fmi = 40 - i;
				fmk = 40 - k;

				dloplot( i, k,color); dloplot( i+39, k,color);
				dloplot( k, i,color); dloplot( k+39, i,color);

				dloplot( fmi, fmk,color); dloplot( fmi+39, fmk,color);
				dloplot( fmk, fmi,color); dloplot( fmk+39, fmi,color);

				dloplot( k, fmi,color); dloplot( k+39, fmi,color);
				dloplot( fmi, k,color); dloplot( fmi+39, k,color);

				dloplot( i, fmk,color); dloplot( i+39, fmk,color);
				dloplot( fmk, i,color); dloplot( fmk+39, i,color);

				if ((c = kbhit()) > 0) {
					clearkey();
					return c;

				}
			}
		}
	}

	if ((c = kbhit()) > 0) {
		clearkey();
	}
	return c;

}


main()
{

  dloreson();
  clear2();
  clear1();

  clearkey();
  dloboxes();

    for (;;) {
        dlonotmixed();
        clear2();
        clear1();
        dloclear_bottom();
        dlomixed();
        dloprint_bottom("Double Rod - Rod's Color Pattern in Duplex and Glorious Double Lo-Res...",0,0);
        dloprint_bottom("Rod's Color Pattern by Randy Wigginton originally written in BASIC appeared on",1,0);
        dloprint_bottom("page 55 of the Red Book distributed by Apple Computer, Inc. circa 1978.",2,0);
	    dloprint_bottom("Press Escape to End or Any Other Key to Refresh...",3,0);
		if (doublerod()==27)break;

    }

  dlonotmixed();
  clear2();
  clear1();
  dloresoff();
  scr_clear();
  scr_curs (0, 0);
  _exit(0);

}
